# H248_Name Class Reference

`#include <h248.h>`

Inheritance diagram for H248_Name:

List of all members.

## Public Member Functions

| H248_Name (unsigned tag=UniversalOctetString, TagClass tagClass=UniversalTagClass)
| H248_Name (const char *v)
| H248_Name (const PString &v)
| H248_Name (const PBYTEArray &v)
H248_Name & | operator= (const char *v)
H248_Name & | operator= (const PString &v)
H248_Name & | operator= (const PBYTEArray &v)
PObject * | Clone () const

## Constructor & Destructor Documentation

H248_Name::H248_Name | ( | unsigned | tag = `UniversalOctetString`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

H248_Name::H248_Name | ( | const char * | v | ) |

H248_Name::H248_Name | ( | const PString & | v | ) |

H248_Name::H248_Name | ( | const PBYTEArray & | v | ) |

## Member Function Documentation

H248_Name& H248_Name::operator= | ( | const char * | v | ) |

Reimplemented in H248_DigitMapName.

H248_Name& H248_Name::operator= | ( | const PString & | v | ) |

Reimplemented in H248_DigitMapName.

H248_Name& H248_Name::operator= | ( | const PBYTEArray & | v | ) |

Reimplemented in H248_DigitMapName.

PObject* H248_Name::Clone | ( |  | ) | const

Reimplemented in H248_DigitMapName.

The documentation for this class was generated from the following file:

- h248.h